package com.sifang.modules.quality.vo;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.util.List;

public class QualityAcceptVo {

    @NotBlank(message = "必传参数不能为空！")
    private String id;

    @Valid
    @NotEmpty(message = "检验的电站不能为空！")
    private List<String> details;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<String> getDetails() {
        return details;
    }

    public void setDetails(List<String> details) {
        this.details = details;
    }
}
